|  Início
Ajuda

Hospedagem Linux (cPanel) Ajuda

Bip-bip-bip...computando...computando...iniciando sequência 42...
Parece que aqueles robôs malucos estão aprontando de novo! Eles "invadiram" o site e traduziram esta página para o seu idioma. Seus coraçõezinhos de metal tinham as melhores intenções. Eles só queriam ajudar! Use os botões na parte inferior da página para nos contar se os robôs estão fazendo um bom trabalho. Ir para Versão em Inglês

Alterar arquivo extensão manipuladores/idiomas (Linux)

Sua Hospedagem de sites Linux conta permite que você processa arquivos em idiomas diferentes. Extensões de arquivo determinam o comportamento de padrão da sua conta. Por exemplo, sua conta processa arquivos terminando em .html como padrão da sua conta e HTML estático versão de PHP processa arquivos terminando em .php.

Com os identificadores de Apache, você pode atualizar seu .htaccess arquivo para alterar o comportamento de extensão de arquivo da sua conta padrão, ou você pode adicionar extensões de arquivo personalizado.

Consulte a tabela a seguir para o comportamento padrão das linguagens dinâmicas.

Extensão Manipulador Versão
.php x-httpd-php Versão PHP padrão
.php5 x-httpd-php5-3 PHP 5.3
.pl, .rb,
.py, .cgi
script de CGI Dependentes de idioma
.fcgi, .fpy,
.fpl
script de fcgid Dependentes de idioma


Aviso: Alterar o comportamento padrão de extensões de arquivo em sua conta de hospedagem pode gerar resultados inesperados, possivelmente desabilitar o software instalado. Esse recurso avançado destina-se somente para usuários experientes.

Algumas extensões de precisam específico script preparação (por exemplo, scripts para uso por CGI ou FastCGI), que está fora do escopo deste artigo.

Como alterar extensões de arquivo padrão

Você pode alterar o comportamento de extensão de arquivo da sua conta padrão atualizando seu .htaccess arquivo com um manipulador.

Por exemplo, se sua versão de PHP abre a extensão de arquivo .php, e você quiser alterá-lo para PHP 5.3, adicione o seguinte código para sua conta de hospedagem .htaccess arquivo:

AddHandler x-httpd-php5-3 .php

Da mesma forma, se você quiser FastCGI processar todos os arquivos com extensão .pl, adicione o seguinte código para sua conta de hospedagem .htacess arquivo:

AddHandler fcgid-script .pl


Criando extensões de arquivo personalizado

Você também pode criar extensões de arquivo personalizado Atualizando sua conta de hospedagem .htaccess arquivo com um manipulador.

Por exemplo, se você adicionar o seguinte código para seu .htaccess arquivo, PHP 5.3 pode processar a extensão personalizada .mysite:

Options +ExecCGI
AddHandler x-httpd-php5-3 .mysite

Como desabilitar FastCGI

Você pode desativar FastCGI usar este método, incluindo o seguinte no seu .htaccess arquivo:

Options +ExecCGI
addhandler x-httpd-php5-cgi .php

Você não pode desativar FastCGI com nosso (de contas de hospedagem compartilhada do cPanelSaiba mais) ou contas de Web/Classic usando PHP versões 5.3 ou mais recente (Saiba mais).

Clique aqui Para obter mais informações sobre os manipuladores Apache.


Este artigo foi útil?
Agradecemos seus comentários. Para falar com um representante do atendimento ao cliente, ligue para o suporte ou utilize a opção de bate-papo acima.
Ficamos felizes em ajudar! Há algo mais que possamos fazer por você?
Mil desculpas. Conte-nos o que estava confuso ou por que a solução não resolveu o seu problema.